#!/usr/bin/env python3
from .db import db


class Ingredient(db.Model):
    __tablename__ = 'Ingredient'
    id = db.Column(db.Integer, primary_key=True)
    name = db.Column(db.String(255), nullable=False)
    meal_id = db.Column(db.Integer, db.ForeignKey('Meal.id'))
    meal = db.relationship('Meal', back_populates='ingredients')
